Package pygccxml :: Package declarations :: Module class_declaration :: Class class_declaration_t

# type class_declaration_t

source code

                   object --+
                            |
    declaration.declaration_t --+
                                |
                               class_declaration_t

describes class declaration

Instance Methods

__init__(self, name=`'````'`) creates class that describes C++ class declaration( and not definition ) | source code

i_depend_on_them(self, recursive=True) return list of all types and declarations the declaration depends on | source code

Inherited from `declaration.declaration_t`: `__eq__`, `__lt__`, `__ne__`, `__str__`, `create_decl_string`

Properties
| aliases List of aliases to this instance
| container_traits reference to `container traits` or None
Inherited from `declaration.declaration_t`: `attributes`, `cache`, `compiler`, `decl_string`, `demangled`, `is_artificial`, `location`, `mangled`, `name`, `parent`, `partial_decl_string`, `partial_name`, `top_parent`

Method Details

### __init__(self, name=`'````'`)
(Constructor)

source code

creates class that describes C++ class declaration( and not definition )

Overrides: declaration.declaration_t.__init__

### i_depend_on_them(self, recursive=True)

source code

return list of all types and declarations the declaration depends on

Overrides: declaration.declaration_t.i_depend_on_them
  (inherited documentation)

Property Details

### aliases

List of aliases to this instance

Get Method:
  _get_aliases(self)
Set Method:
  _set_aliases(self, new_aliases)

### container_traits

reference to `container traits` or None